﻿@model HomeViewModel
@{
    ViewBag.Title = "خانه";
}

@section Meta{

    <meta name="description" content="لامینگوبلاگ ، مرجع اخبار روز و مباحث حقوقی" />
    <link rel="canonical" href="https://www.lawmingo.com/blog/" />
    <meta property="og:type" content="website" />
    <meta property="og:title" content="لامینگوبلاگ | حقوق و کسب و کار" />
    <meta property="og:description" content="لامینگوبلاگ - منبع جامع اخبار و مقالات تخصصی در حوزه‌های حقوق ،  تکنولوژی های نوین و کسب و کار های نوپا" />
    <meta property="og:url" content="https://www.lawmingo.com/blog/" />
    <meta property="og:image" content="https://lawmingo.com/Images/Logo/lawmingo-logo-back-web.png" />
    <meta property="og:image:secure_url" content="https://lawmingo.com/Images/Logo/lawmingo-logo-back-web.png" />
    <meta property="og:image:width" content="1080" />
    <meta property="og:image:height" content="215" />
    <meta property="og:image:alt" content="لامینگوبلاگ" />
    <meta name="twitter:card" content="summary_large_image" />
    <meta name="twitter:description" content="لامینگوبلاگ - منبع جامع اخبار و مقالات تخصصی در حوزه‌های حقوق ،  تکنولوژی های نوین و کسب و کار های نوپا" />
    <meta name="twitter:title" content="لامینگوبلاگ | حقوق و کسب و کار" />
    <meta name="twitter:image" content="https://lawmingo.com/Images/Logo/lawmingo-logo-back-web.png" />
}
@section Styles{
    <style>
        .owl-dots {
            margin-top: -50px !important;
            flex: 1;
            justify-content: flex-end;
            display: flex;
            margin-right: 135px;
        }

        @@media only screen and (max-width: 991px) {


            .owl-dots {
                margin-top: -30px !important;
                flex: 1;
                justify-content: center !important;
                margin-right: initial !important;
            }

            .owl-nav {
                bottom: 40%;
                top: initial !important;
            }
        }

        .owl-dot span {
            background: #fff !important;
        }

        .owl-theme .owl-dots .owl-dot.active span, .owl-theme .owl-dots .owl-dot:hover span {
            background: #656565;
        }

        .owl-nav {
            top: 50vh;
            position: absolute;
            width: 100%;
            display: flex;
            justify-content: space-between;
            background: transparent !important;
        }

        .owl-theme .owl-nav [class*='owl-'] {
            color: #FFF;
            font-size: 37px !important;
            background: transparent !important;
        }

        @foreach (var item in Model.Slider)
        {
            <text>
            .Slider_@item.PostID{
                background:url(https://lawmingo.com/blog/posts/@item.Cover) , @item.Color !important;
                background-repeat: no-repeat !important;
                background-size: cover !important;
                background-position: center center !important;
            }
            @@media only screen and (max-width: 991px) {
                .Slider_@item.PostID{
                    background:url(https://lawmingo.com/blog/posts/@item.Image) , @item.Color !important;
                    background-repeat: no-repeat !important;
                    background-position: bottom !important;
                    background-size: contain !important;
                }
            }
            </text>
        }
    </style>

}

@section Scripts{

    <script>

        var changeTab = function (obj) {
            console.log($(obj));
            General.LatestPosts($(obj).data('id'));
            $(obj).parents('ul').find('li.active').removeClass('active');
            $($(obj).parent()[0]).addClass('active');
        };

        var HomeView = {
            SimilarPosts: function () {
                var ret = $.ajax({
                    type: "GET",
                    url: "/blog/api/SliderRelatedPosts",
                    dataType: "json",
                    success: function (response) {
                        _similarposts.$data.items = response;
                    }
                });
            }
        }

        var _similarposts = new Vue({
            el: '.similar_posts_container',
            data: {
                items: []
            },
            methods: {
                renderImage(s) {
                    return '/Content/Images/Uploads/Category/' + s
                }
            }
        });


        setTimeout(function () {
            HomeView.SimilarPosts();
            General.LatestPosts();
            General.SideTrends();
        }, 100)


/**/</script>
}

<!-- Home -->

<div class="home">

    <!-- Home Slider -->

    <div class="home_slider_container">
        <div class="owl-carousel owl-theme home_slider">

            <!-- Slider Item -->
            @foreach (var item in Model.Slider)
            {
                <div class="owl-item" data-id="@item.PostID">
                    <div class="home_slider_background Slider_@item.PostID"></div>
                    <div class="home_slider_content_container">
                        <div class="container">
                            <div class="row">
                                <div class="col">
                                    <div class="home_slider_content">
                                        @if (item.Subject != null)
                                        {
                                            <div class="home_slider_item_category trans_200" style="background:@item.Font"><a style="color:@item.Color" href="/blog/@item.Subject.Replace(" " , "-")" class="trans_200">@item.Subject</a></div>
                                        }
                                        <div class="home_slider_item_title">
                                            <a href="@Posts.URL(item.SeoTitle , item.SubjectSeo)" style="color:@item.Font">
                                                @item.Title
                                            </a>
                                        </div>
                                        <div class="home_slider_item_link">
                                            <a href="@Posts.URL(item.SeoTitle , item.SubjectSeo)" class="trans_200" style="color:@item.Font">
                                                <svg version="1.1" id="link_arrow_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                                     width="19px" height="13px" viewBox="0 0 19 13" enable-background="new 0 0 19 13" xml:space="preserve">
                                                <polygon fill="#FFFFFF" points="12.475,0 11.061,0 17.081,6.021 0,6.021 0,7.021 17.038,7.021 11.06,13 12.474,13 18.974,6.5 " />







											</svg>
                                                در ادامه بخوانید
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- Similar Posts -->
                    <div class="similar_posts_container">
                        <div class="container">
                            <div class="row d-flex flex-row align-items-end">

                                <!-- Similar Post -->
                                <div v-cloak v-for="(item , index) in items" class="col-lg-3 col-md-6 similar_post_col animated fadeInRight" :style="{animationDelay:index*.3+'s'}">
                                    <div class="similar_post trans_200" style="background:@item.Font">
                                        <a :href="`/blog/${item.id}/${item.title.replace(/ /g , '-')}`" style="color:@item.Color" v-text="item.title"></a>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            }

        </div>
    </div>
</div>

<!-- Page Content -->

<div class="page_content">
    <div class="container">
        <div class="row row-lg-eq-height flex-row-reverse">
            <!-- Main Content -->

            <div class="col-lg-9">
                <div class="main_content">


                    <!-- Blog Section - What's Trending -->

                    <div class="blog_section">
                        <div class="section_panel d-flex flex-row align-items-center justify-content-start">
                            <div class="section_tags mr-auto">
                                <ul>
                                    <li class="active"><a onclick="changeTab(this)" data-id="">همه</a></li>
                                    @foreach (var item in ViewBag.cats as IEnumerable<Subject>)
                                    {
                                        <li><a onclick="changeTab(this)" data-id="@item.SubjectID">@item.Title</a></li>
                                    }
                                </ul>
                            </div>
                            <div class="section_title">جدیدترین ها</div>
                            @*<div class="section_panel_more">
                                    <ul>
                                        <li>
                                            بیشتر
                                            <ul>
                                                <li><a href="category.html">نسنتستنس</a></li>
                                                <li><a href="category.html">شسشسشتش</a></li>
                                                <li><a href="category.html">شسنشتنش</a></li>
                                                <li><a href="category.html">سیتساست</a></li>
                                                <li><a href="category.html">سنینتسنس</a></li>
                                                <li><a href="category.html">شساشا</a></li>
                                            </ul>
                                        </li>
                                    </ul>
                                </div>*@
                        </div>

                        <div class="section_content">
                            <div class="grid clearfix" id="_LatestPosts">
                                <div v-if="items.length > 0 || (items.length == 0 && !dataloaded)">
                                    <grid-item v-cloak v-for="_item in items" :_item="_item">
                                    </grid-item>
                                </div>
                                <div v-if="items.length == 0 && dataloaded" style="height: 100px;display: flex;justify-content: center;align-items: center;">
                                    موردی یافت نشد
                                </div>
                                <preloader v-bind:visible="!dataloaded"></preloader>


                            </div>


                        </div>
                    </div>

                    <!-- Blog Section - Videos -->
                    @*<div class="blog_section">
                            <div class="section_panel d-flex flex-row align-items-center justify-content-start">
                                <div class="section_title">Most Popular Videos</div>
                            </div>
                            <div class="section_content">
                                <div class="row">
                                    <div class="col">
                                        <div class="videos">
                                            <div class="player_container">
                                                <div id="P1" class="player"
                                                     data-property="{videoURL:'2ScS5kwm7nI',containment:'self',startAt:0,mute:false,autoPlay:false,loop:false,opacity:1}">
                                                </div>
                                            </div>
                                            <div class="playlist">
                                                <div class="playlist_background"></div>

                                                <!-- Video -->
                                                <div class="video_container video_command active" onclick="if (!window.__cfRLUnblockHandlers) return false; jQuery('#P1').YTPChangeVideo({videoURL: '2ScS5kwm7nI', mute:false, addRaster:true})" data-cf-modified-="">
                                                    <div class="video d-flex flex-row align-items-center justify-content-start">
                                                        <div class="video_image"><div><img src="blog/images/video_1.jpg" alt=""></div><img class="play_img" src="blog/images/play.png" alt=""></div>
                                                        <div class="video_content">
                                                            <div class="video_title">How Did van Gogh’s Turbulent Mind</div>
                                                            <div class="video_info"><span>1.2M views</span><span>Sep 29</span></div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <!-- Video -->
                                                <div class="video_container video_command" onclick="if (!window.__cfRLUnblockHandlers) return false; jQuery('#P1').YTPChangeVideo({videoURL: 'BzMLA8YIgG0', mute:false, addRaster:true})" data-cf-modified-="">
                                                    <div class="video d-flex flex-row align-items-center justify-content-start">
                                                        <div class="video_image"><div><img src="blog/images/video_2.jpg" alt=""></div><img class="play_img" src="blog/images/play.png" alt=""></div>
                                                        <div class="video_content">
                                                            <div class="video_title">How Did van Gogh’s Turbulent Mind</div>
                                                            <div class="video_info"><span>1.2M views</span><span>Sep 29</span></div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <!-- Video -->
                                                <div class="video_container video_command" onclick="if (!window.__cfRLUnblockHandlers) return false; jQuery('#P1').YTPChangeVideo({videoURL: 'bpbcSdqvtUQ', mute:false, addRaster:true})" data-cf-modified-="">
                                                    <div class="video d-flex flex-row align-items-center justify-content-start">
                                                        <div class="video_image"><div><img src="blog/images/video_3.jpg" alt=""></div><img class="play_img" src="blog/images/play.png" alt=""></div>
                                                        <div class="video_content">
                                                            <div class="video_title">How Did van Gogh’s Turbulent Mind</div>
                                                            <div class="video_info"><span>1.2M views</span><span>Sep 29</span></div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <!-- Video -->
                                                <div class="video_container video_command" onclick="if (!window.__cfRLUnblockHandlers) return false; jQuery('#P1').YTPChangeVideo({videoURL: 'UjYemgbhJF0', mute:false, addRaster:true})" data-cf-modified-="">
                                                    <div class="video d-flex flex-row align-items-center justify-content-start">
                                                        <div class="video_image"><div><img src="blog/images/video_4.jpg" alt=""></div><img class="play_img" src="blog/images/play.png" alt=""></div>
                                                        <div class="video_content">
                                                            <div class="video_title">How Did van Gogh’s Turbulent Mind</div>
                                                            <div class="video_info"><span>1.2M views</span><span>Sep 29</span></div>
                                                        </div>
                                                    </div>
                                                </div>

                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>*@

                </div>
                @*<div class="load_more">
                        <div id="load_more" class="load_more_button text-center trans_200">بیشتر</div>
                    </div>*@
            </div>


            <!-- Sidebar -->

            <div class="col-lg-3">
                <div class="sidebar">
                    <div class="sidebar_background"></div>

                    <!-- Top Stories -->

                    <div class="sidebar_section" id="_sidebarTrends">
                        <sidetrends v-bind="$data"></sidetrends>
                    </div>

                    <!-- Future Events -->
                    @*<div class="sidebar_section future_events">
                            <div class="sidebar_title_container">
                                <div class="sidebar_title">رویدادها</div>
                                <div class="sidebar_slider_nav">
                                    <div class="custom_nav_container sidebar_slider_nav_container">
                                        <div class="custom_prev custom_prev_events">
                                            <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                                 width="7px" height="12px" viewBox="0 0 7 12" enable-background="new 0 0 7 12" xml:space="preserve">
                                                <polyline fill="#bebebe" points="0,5.61 5.609,0 7,0 7,1.438 2.438,6 7,10.563 7,12 5.609,12 -0.002,6.39 " />
                                            </svg>
                                        </div>
                                        <ul id="custom_dots" class="custom_dots custom_dots_events">
                                            <li class="custom_dot custom_dot_events active"><span></span></li>
                                            <li class="custom_dot custom_dot_events"><span></span></li>
                                            <li class="custom_dot custom_dot_events"><span></span></li>
                                        </ul>
                                        <div class="custom_next custom_next_events">
                                            <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                                 width="7px" height="12px" viewBox="0 0 7 12" enable-background="new 0 0 7 12" xml:space="preserve">
                                            <polyline fill="#bebebe" points="6.998,6.39 1.389,12 -0.002,12 -0.002,10.562 4.561,6 -0.002,1.438 -0.002,0 1.389,0 7,5.61 " />
                                            </svg>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="sidebar_section_content">

                                <!-- Sidebar Slider -->
                                <div class="sidebar_slider_container">
                                    <div class="owl-carousel owl-theme sidebar_slider_events">

                                        <!-- Future Events Slider Item -->
                                        <div class="owl-item">

                                            <!-- Future Events Post -->
                                            <div class="side_post">
                                                <a href="post.html">
                                                    <div class="d-flex flex-row align-items-xl-center align-items-start justify-content-start">
                                                        <div class="side_post_content">
                                                            <div class="side_post_title">نمایشگاه الکامپ</div>
                                                            <small class="post_meta">Katy Liu<span>تیر 11</span></small>
                                                        </div>
                                                        <div class="event_date d-flex flex-column align-items-center justify-content-center">
                                                            <div class="event_day">11</div>
                                                            <div class="event_month">تیر</div>
                                                        </div>
                                                    </div>
                                                </a>
                                            </div>

                                            <!-- Future Events Post -->
                                            <div class="side_post">
                                                <a href="post.html">
                                                    <div class="d-flex flex-row align-items-xl-center align-items-start justify-content-start">
                                                        <div class="side_post_content">
                                                            <div class="side_post_title">نمایشگاه الکامپ</div>
                                                            <small class="post_meta">Katy Liu<span>تیر 11</span></small>
                                                        </div>
                                                        <div class="event_date d-flex flex-column align-items-center justify-content-center">
                                                            <div class="event_day">11</div>
                                                            <div class="event_month">تیر</div>
                                                        </div>
                                                    </div>
                                                </a>
                                            </div>

                                            <!-- Future Events Post -->
                                            <div class="side_post">
                                                <a href="post.html">
                                                    <div class="d-flex flex-row align-items-xl-center align-items-start justify-content-start">
                                                        <div class="side_post_content">
                                                            <div class="side_post_title">نمایشگاه الکامپ</div>
                                                            <small class="post_meta">Katy Liu<span>تیر 11</span></small>
                                                        </div>
                                                        <div class="event_date d-flex flex-column align-items-center justify-content-center">
                                                            <div class="event_day">11</div>
                                                            <div class="event_month">تیر</div>
                                                        </div>
                                                    </div>
                                                </a>
                                            </div>

                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>*@

                </div>
            </div>

        </div>
    </div>
</div>
